View Issue Details

IDProjectCategoryView StatusLast Update
0009725mantisbtfilterspublic2014-09-23 18:05
Reporterolegos Assigned Torombert  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.0a2 
Target Version1.2.12Fixed in Version1.2.12 
Summary0009725: Filter on "Note By" by a reporter
Description

I was trying to select all issues where I've left notes (isn't this a reasonable thing to want to do?). Looks like the pull-down box has only developers listed. I understand that there's probably too many reporters to include all of them. How about a choice "[enter value]" right next to "[any]" and "[none]", that when selected, would open a text box where a value can be typed? Or maybe the list could include all note authors for the current project, regardless of their role... (and if there's more than say 50, then show the "[enter value]"?)

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
child of 0014677 closedrombert Summary: developer names should be links 

Activities

olegos

olegos

2008-10-21 18:58

reporter   ~0019625

Or in the meantime, at least include "[Myself]" as one of the choices, as with Reporter.

olegos

olegos

2008-10-23 17:14

reporter   ~0019665

Including "[enter value]" in all multiple choice lists could be a solution to issues like 0008755 ...

djcarr

djcarr

2009-06-01 19:20

reporter   ~0022028

I ran into the same problem with the mantisbt.org install!

I understand that the daily users, the developers, don't want to be hindered with very large lists.

My suggestion is:

  • for Simple Filters, only show developers and higher.
  • when clicking Advanced Filters, show all users that have left notes.
frodgers

frodgers

2009-10-30 11:05

reporter  

note_by.patch (1,349 bytes)   
From 2e6e7c71d5f0161a738bb6943ff8b6cfc7bf4719 Mon Sep 17 00:00:00 2001
From: Frank Rodgers <frodgers@redcom.com>
Date: Fri, 30 Oct 2009 10:47:30 -0400
Subject: [PATCH] Note by filter will now display any user that is at or above add_bugnote_threshold


diff --git a/core/filter_api.php b/core/filter_api.php
index 1874485..0d887df 100644
--- a/core/filter_api.php
+++ b/core/filter_api.php
@@ -3870,7 +3870,7 @@ function print_filter_note_user_id() {
 					echo '>[' . lang_get( 'myself' ) . ']</option>';
 				}
 
-				print_assign_to_option_list( $t_filter[FILTER_PROPERTY_NOTE_USER_ID] );
+				print_note_option_list( $t_filter[FILTER_PROPERTY_NOTE_USER_ID] );
 			}
 		?>
         </select>
diff --git a/core/print_api.php b/core/print_api.php
index a0bb366..471a1a6 100644
--- a/core/print_api.php
+++ b/core/print_api.php
@@ -450,6 +450,15 @@ function print_assign_to_option_list( $p_user_id = '', $p_project_id = null, $p_
 	print_user_option_list( $p_user_id, $p_project_id, $p_threshold );
 }
 
+function print_note_option_list( $p_user_id = '', $p_project_id = null, $p_threshold = null ) {
+
+	if( null === $p_threshold ) {
+		$p_threshold = config_get( 'add_bugnote_threshold' );
+	}
+
+	print_user_option_list( $p_user_id, $p_project_id, $p_threshold );
+}
+
 /**
  * List projects that the current user has access to.
  *
-- 
1.6.0.4

note_by.patch (1,349 bytes)   
frodgers

frodgers

2009-10-30 11:07

reporter   ~0023494

I've attached a patch we are using at our site.
The filter_api for notes was calling print_assign_to_option_list which only displayed user at or above the handle_bug_threshold (Developer). I created a new function print_note_option_list which uses the add_bugnote_threshold which is set to Reporter.

rombert

rombert

2012-09-15 04:14

reporter   ~0032845

(In reply to comment 0009725:0023494)

I've attached a patch we are using at our site.
The filter_api for notes was calling print_assign_to_option_list which only
displayed user at or above the handle_bug_threshold (Developer). I created a new
function print_note_option_list which uses the add_bugnote_threshold which is
set to Reporter.

Applied, thanks!

grangeway

grangeway

2013-04-05 17:56

reporter   ~0036198

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master-1.2.x b3d05226

2012-09-15 01:10:46

rombert

Details Diff
Allow selecting any user with privileges when filtering by bug note
reporter

Fix based on patch attached by frodgers at
http://www.mantisbt.org/bugs/view.php?id=9725 .

Fixes 0009725: Filter on "Note By" by a reporter
Affected Issues
0009725
mod - core/filter_api.php Diff File
mod - core/print_api.php Diff File

MantisBT: master 9b39286b

2012-09-15 01:10:46

rombert

Details Diff
Allow selecting any user with privileges when filtering by bug note
reporter

Fix based on patch attached by frodgers at
http://www.mantisbt.org/bugs/view.php?id=9725 .

Fixes 0009725: Filter on "Note By" by a reporter
Affected Issues
0009725
mod - core/filter_api.php Diff File
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2008-10-21 18:54 olegos New Issue
2008-10-21 18:58 olegos Note Added: 0019625
2008-10-23 17:14 olegos Note Added: 0019665
2009-06-01 19:20 djcarr Note Added: 0022028
2009-10-30 11:05 frodgers File Added: note_by.patch
2009-10-30 11:07 frodgers Note Added: 0023494
2012-09-01 14:27 rombert Status new => confirmed
2012-09-01 14:41 rombert Relationship added child of 0014677
2012-09-15 04:14 rombert Changeset attached => MantisBT master-1.2.x b3d05226
2012-09-15 04:14 rombert Assigned To => rombert
2012-09-15 04:14 rombert Status confirmed => resolved
2012-09-15 04:14 rombert Resolution open => fixed
2012-09-15 04:14 rombert Fixed in Version => 1.2.12
2012-09-15 04:14 rombert Changeset attached => MantisBT master 9b39286b
2012-09-15 04:14 rombert Note Added: 0032845
2012-09-29 19:23 dregad Target Version => 1.2.12
2012-11-10 18:54 dregad Status resolved => closed
2013-04-05 17:56 grangeway Status closed => acknowledged
2013-04-05 17:56 grangeway Note Added: 0036198
2013-04-05 19:02 grangeway Relationship added related to 0015721
2013-04-06 03:40 dregad Status acknowledged => closed
2013-04-06 07:23 grangeway Status closed => acknowledged
2013-04-06 09:22 dregad Tag Attached: 2.0.x check
2013-04-06 09:23 dregad Status acknowledged => closed
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check